# How to run the indices tool

This tool allow to check for missing or extra indices in the latex manual and print the results.
It can check the namelist bloc, namelist parameters, cpp key and modules.

## To test everything:
```
python check_indices_not_documented.py  -F90 ../../NEMO_code/src/ -latex ../latex/
```

## On a subset (for example a component)
```
python check_indices_not_documented.py  -F90 ../../NEMO_code/src/OCE/TRA -latex ../latex/NEMO/subfiles/chap_TRA.tex
```

## Test only in one direction
- New indices can be check with `--nodoc`. This only checks if the indices in the sources code are in the doc.
- Old indices can be check with `--noF90`. This only checks if the indices in the doc are in the source code.

## Test only specific indices
There is options to check only some indices with the option `--check`:
- `nambloc`
- `namvar`
- `mod` for modules
- `cpp` for cpp keys


# How to run the unit tests
```
python3 -m unittest test_check_indices_not_documented.py
```
